NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Annotations.PmiPreferences Class Reference

Represents line and arrow preferences More...

Inheritance diagram for NXOpen.Annotations.PmiPreferences:

Public Types

enum  PreferenceSymbolTypes {
  Note, GeneralNote, SpecificNote, EnterpriseId,
  MaterialSpecification, PartId, ProcessSpecification, UrlNote,
  StringNote, NumberNote, IntegerNote, BalloonNote,
  CustomSymbol, GovernmentSecurityInfo, CompanySpecificProprietaryInfo, ExportControl,
  Table, CoordinateNote
}
 Specifies the allowable symbol types for Parallel To Screen and Lock Pan/Zoom More...
 

Public Member Functions

unsafe void SetShadedDisplay (bool shadedDisplay)
  More...
 
unsafe void SetEnableResize (bool enableResize)
  More...
 
unsafe void SetResizeOnCreate (bool resizeOnCreate)
  More...
 
unsafe void SetResizeOnViewSave (bool resizeOnViewSave)
  More...
 
unsafe void SetResizeMethod (NXOpen.Annotations.PmiResizeMethod resizeMethod)
  More...
 
unsafe void SetPmiSupportForGeometrySharing (bool pmiSupportForGeomSharing)
  More...
 
unsafe void SetDisplayPmiEffectivityMethod (NXOpen.Annotations.DisplayPmiEffectivityMethod displayPmiEffectivityMethod)
  More...
 
unsafe void SetDisplayPmiEffectivityReferenceMethod (NXOpen.Annotations.DisplayPmiEffectivityMethod displayPmiEffectivityReferenceMethod)
  More...
 
unsafe void SetDisplayPmiAssociatedComponentsLoadedForReference (bool displayPmiAssociatedComponentsLoadedForReference)
  More...
 
unsafe void SetDisplayEffectivityFilterNodesInPartNavigator (bool displayEffectivityFilterNodesInPartNavigator)
  More...
 
unsafe void SetAssemblyCrosshatching (bool assemblyCrosshatching)
  More...
 
unsafe void SetRestrictCrosshatchAngle (bool restrictCrosshatchAngle)
  More...
 
unsafe void SetCrosshatchAdjacencyTolerance (double crosshatchAdjacencyTolerance)
  More...
 
unsafe void SetAssociativityForLightweightSectionViews (bool associativityOptionForLightweightSectionViews)
  More...
 
unsafe void GetParallelToScreenEnabledPmiTypes (out NXOpen.Annotations.PmiPreferences.PreferenceSymbolTypes[] parallelToScreenEnabledPmiTypes)
 The parallel to screen enabled pmi type More...
 
unsafe void SetParallelToScreenEnabledPmiTypes (NXOpen.Annotations.PmiPreferences.PreferenceSymbolTypes[] parallelToScreenEnabledPmiTypes)
  More...
 

Protected Member Functions

override void FreeResource ()
 Frees the object from memory. More...
 

Properties

unsafe bool AssemblyCrosshatching [get]
 Returns the flag indicating whether PMI support for lightweight section view assembly crosshatching option is available More...
 
unsafe bool AssociativityForLightweightSectionViews [get]
 Returns the option indicating whether plane is associative for Lightweight Section Views More...
 
unsafe bool ClipCoplanarObjectsForLightweightSectionViews [get, set]
 Returns or sets the option indicating clip coplanar objects More...
 
unsafe bool ClipWireframeObjects [get, set]
 Returns or sets the option indicating clip wireframe objects More...
 
unsafe bool CreateViewIndependent [get, set]
 Returns or sets the flag indicating whether the PMI would be created view independent More...
 
unsafe double CrosshatchAdjacencyTolerance [get]
 Returns the flag indicating whether PMI support for lightweight section view crosshatch adjacency tolerance is available More...
 
unsafe
NXOpen.Annotations.CuttingPlaneSymbolBuilder.ArrowDirectionOption 
CuttingPlaneSymbolArrowDirection [get, set]
 Returns or sets the cutting plane symbol arrow direction related to plane More...
 
unsafe double CuttingPlaneSymbolArrowLength [get, set]
 Returns or sets the cutting plane symbol arrow length More...
 
unsafe NXOpen.NXColor CuttingPlaneSymbolColor [get, set]
 Returns or sets the cutting plane symbol color More...
 
unsafe string CuttingPlaneSymbolSectionPrefix [get, set]
 Returns or sets the section prefix for cutting plane symbol More...
 
unsafe bool CuttingPlaneSymbolShadedPlane [get, set]
 Returns or sets the cutting plane symbol shaded plane option More...
 
unsafe string CuttingPlaneSymbolStartingLetter [get, set]
 Returns or sets the starting letter for cutting plane symbol More...
 
unsafe
NXOpen.Annotations.CuttingPlaneSymbolBuilder.TextPlaneRelativeArrow 
CuttingPlaneSymbolTextPlaneRelativeToArrow [get, set]
 Returns or sets the orientation of the cutting plane symbol text plane with respect to arrow plane More...
 
unsafe string DatumLabel [get, set]
 Returns or sets the initial letter for datum labels More...
 
unsafe
NXOpen.Annotations.PmiDefaultPlane 
DefaultPlane [get, set]
 Returns or sets the default annotation plane for PMI symbols More...
 
unsafe bool DeleteEmptyUserDefinedModelViews [get, set]
 Returns or sets the option to delete Empty User Defined Model Views in Part More...
 
unsafe bool DisplayEffectivityFilterNodesInPartNavigator [get]
 Returns the flag indicating the display of Effectivity Filtered PMI node in Part Navigator More...
 
unsafe bool DisplayPmiAssociatedComponentsLoadedForReference [get]
 Returns the flag indicating PMI associated objects components loaded for reference More...
 
unsafe
NXOpen.Annotations.DisplayPmiEffectivityMethod 
DisplayPmiEffectivityMethod [get]
 Returns the value indicating precise option of PMI Effectivity for prime geometry More...
 
unsafe
NXOpen.Annotations.DisplayPmiEffectivityMethod 
DisplayPmiEffectivityReferenceMethod [get]
 Returns the value indicating precise option of PMI Effectivity for reference geometry More...
 
unsafe string DisplayPmiModelViewDisclosurePurpose [get, set]
 Returns or sets the Model View Disclosure Purpose More...
 
unsafe bool DisplayPmiQueryDialogFromMb3 [get, set]
 Returns or sets the PMI query dialog visibility from mb3 option More...
 
unsafe bool DisplayPmiUserDefinedModelViewDisclosure [get, set]
 Returns or sets the User Defined Model View Disclosure More...
 
unsafe bool EnableResize [get]
 Returns the flag indicating whether to enable resize. More...
 
unsafe bool LockSizeAndPosition [get, set]
 Returns or sets the lock pan/zoom option More...
 
unsafe bool ParallelToScreen [get, set]
 Returns or sets the parallel to screen option More...
 
unsafe double PmiRegionHeight [get, set]
 Returns or sets the rectangular region height More...
 
unsafe double PmiRegionInnerDiameter [get, set]
 Returns or sets the circular/annular region inner diameter More...
 
unsafe double PmiRegionOuterDiameter [get, set]
 Returns or sets the circular/annular region outer diameter More...
 
unsafe double PmiRegionWidth [get, set]
 Returns or sets the rectangular region width More...
 
unsafe bool PmiSupportForGeometrySharing [get]
 Returns the flag indicating whether PMI support for geometry sharing is available More...
 
unsafe NXOpen.NXColor RegionBoundaryColor [get, set]
 Returns or sets the region boundary color More...
 
unsafe int RegionBoundaryFont [get, set]
 Returns or sets the region boundary font More...
 
unsafe int RegionBoundaryWidth [get, set]
 Returns or sets the region boundary width More...
 
unsafe
NXOpen.Annotations.PmiResizeMethod 
ResizeMethod [get]
 Returns the resize method More...
 
unsafe bool ResizeOnCreate [get]
 Returns the flag indicating whether to resize on create More...
 
unsafe bool ResizeOnViewSave [get]
 Returns the flag indicating whether to resize on view save More...
 
unsafe bool RestrictCrosshatchAngle [get]
 Returns the flag indicating whether PMI support for lightweight section view restrict crosshatch angle option is available More...
 
unsafe string SectionViewNamePrefix [get, set]
 Returns or sets the Section View name prefix More...
 
unsafe bool ShadedDisplay [get]
 Returns the toggle for display through shaded models More...
 
unsafe bool SuppressRetainedPmis [get, set]
 Returns or sets the option to suppress retained PMIs in part More...
 

Detailed Description

Represents line and arrow preferences

Created in NX4.0.0

Member Enumeration Documentation

Specifies the allowable symbol types for Parallel To Screen and Lock Pan/Zoom

Enumerator
Note 

note

GeneralNote 

general note

SpecificNote 

specific note

EnterpriseId 

enterprise id

MaterialSpecification 

material specification

PartId 

part id

ProcessSpecification 

process specification

UrlNote 

url note

StringNote 

string note

NumberNote 

number note

IntegerNote 

integer note

BalloonNote 

balloon note

CustomSymbol 

custom symbol

GovernmentSecurityInfo 

government security info

CompanySpecificProprietaryInfo 

company specific proprietary info

ExportControl 

export control

Table 

table

CoordinateNote 

coordinate note

Member Function Documentation

override void NXOpen.Annotations.PmiPreferences.FreeResource ( )
protected

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Created in NX4.0.0

License requirements: None.

unsafe void NXOpen.Annotations.PmiPreferences.GetParallelToScreenEnabledPmiTypes ( out NXOpen.Annotations.PmiPreferences.PreferenceSymbolTypes[]  parallelToScreenEnabledPmiTypes)

The parallel to screen enabled pmi type

Created in NX11.0.1

License requirements: None.

Parameters
parallelToScreenEnabledPmiTypes
unsafe void NXOpen.Annotations.PmiPreferences.SetAssemblyCrosshatching ( bool  assemblyCrosshatching)

Created in NX9.0.0

License requirements: None.

Parameters
assemblyCrosshatching
unsafe void NXOpen.Annotations.PmiPreferences.SetAssociativityForLightweightSectionViews ( bool  associativityOptionForLightweightSectionViews)

Created in NX9.0.0

License requirements: None.

Parameters
associativityOptionForLightweightSectionViews
unsafe void NXOpen.Annotations.PmiPreferences.SetCrosshatchAdjacencyTolerance ( double  crosshatchAdjacencyTolerance)

Created in NX9.0.0

License requirements: None.

Parameters
crosshatchAdjacencyTolerance
unsafe void NXOpen.Annotations.PmiPreferences.SetDisplayEffectivityFilterNodesInPartNavigator ( bool  displayEffectivityFilterNodesInPartNavigator)

Created in NX8.5.1

License requirements: nx_pmi_effectivity ("NX PMI EFFECTIVITY")

Parameters
displayEffectivityFilterNodesInPartNavigator
unsafe void NXOpen.Annotations.PmiPreferences.SetDisplayPmiAssociatedComponentsLoadedForReference ( bool  displayPmiAssociatedComponentsLoadedForReference)

Created in NX8.5.1

License requirements: nx_pmi_effectivity ("NX PMI EFFECTIVITY")

Parameters
displayPmiAssociatedComponentsLoadedForReference
unsafe void NXOpen.Annotations.PmiPreferences.SetDisplayPmiEffectivityMethod ( NXOpen.Annotations.DisplayPmiEffectivityMethod  displayPmiEffectivityMethod)

Created in NX8.5.1

License requirements: nx_pmi_effectivity ("NX PMI EFFECTIVITY")

Parameters
displayPmiEffectivityMethod
unsafe void NXOpen.Annotations.PmiPreferences.SetDisplayPmiEffectivityReferenceMethod ( NXOpen.Annotations.DisplayPmiEffectivityMethod  displayPmiEffectivityReferenceMethod)

Created in NX8.5.1

License requirements: nx_pmi_effectivity ("NX PMI EFFECTIVITY")

Parameters
displayPmiEffectivityReferenceMethod
unsafe void NXOpen.Annotations.PmiPreferences.SetEnableResize ( bool  enableResize)

Created in NX10.0.0

License requirements: None.

Parameters
enableResize
unsafe void NXOpen.Annotations.PmiPreferences.SetParallelToScreenEnabledPmiTypes ( NXOpen.Annotations.PmiPreferences.PreferenceSymbolTypes[]  parallelToScreenEnabledPmiTypes)

Created in NX11.0.1

License requirements: None.

Parameters
parallelToScreenEnabledPmiTypes
unsafe void NXOpen.Annotations.PmiPreferences.SetPmiSupportForGeometrySharing ( bool  pmiSupportForGeomSharing)

Created in NX8.5.0

License requirements: None.

Parameters
pmiSupportForGeomSharing
unsafe void NXOpen.Annotations.PmiPreferences.SetResizeMethod ( NXOpen.Annotations.PmiResizeMethod  resizeMethod)

Created in NX8.0.0

License requirements: None.

Parameters
resizeMethod
unsafe void NXOpen.Annotations.PmiPreferences.SetResizeOnCreate ( bool  resizeOnCreate)

Created in NX8.0.0

License requirements: None.

Parameters
resizeOnCreate
unsafe void NXOpen.Annotations.PmiPreferences.SetResizeOnViewSave ( bool  resizeOnViewSave)

Created in NX8.0.0

License requirements: None.

Parameters
resizeOnViewSave
unsafe void NXOpen.Annotations.PmiPreferences.SetRestrictCrosshatchAngle ( bool  restrictCrosshatchAngle)

Created in NX9.0.0

License requirements: None.

Parameters
restrictCrosshatchAngle
unsafe void NXOpen.Annotations.PmiPreferences.SetShadedDisplay ( bool  shadedDisplay)

Created in NX4.0.0

License requirements: None.

Parameters
shadedDisplay

Property Documentation

unsafe bool NXOpen.Annotations.PmiPreferences.AssemblyCrosshatching
get

Returns the flag indicating whether PMI support for lightweight section view assembly crosshatching option is available

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Annotations.PmiPreferences.AssociativityForLightweightSectionViews
get

Returns the option indicating whether plane is associative for Lightweight Section Views

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.Annotations.PmiPreferences.ClipCoplanarObjectsForLightweightSectionViews
getset

Returns or sets the option indicating clip coplanar objects

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Annotations.PmiPreferences.ClipWireframeObjects
getset

Returns or sets the option indicating clip wireframe objects

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Annotations.PmiPreferences.CreateViewIndependent
getset

Returns or sets the flag indicating whether the PMI would be created view independent

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Annotations.PmiPreferences.CrosshatchAdjacencyTolerance
get

Returns the flag indicating whether PMI support for lightweight section view crosshatch adjacency tolerance is available

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Annotations.CuttingPlaneSymbolBuilder.ArrowDirectionOption NXOpen.Annotations.PmiPreferences.CuttingPlaneSymbolArrowDirection
getset

Returns or sets the cutting plane symbol arrow direction related to plane

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Annotations.PmiPreferences.CuttingPlaneSymbolArrowLength
getset

Returns or sets the cutting plane symbol arrow length

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.NXColor NXOpen.Annotations.PmiPreferences.CuttingPlaneSymbolColor
getset

Returns or sets the cutting plane symbol color

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Annotations.PmiPreferences.CuttingPlaneSymbolSectionPrefix
getset

Returns or sets the section prefix for cutting plane symbol

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Annotations.PmiPreferences.CuttingPlaneSymbolShadedPlane
getset

Returns or sets the cutting plane symbol shaded plane option

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Annotations.PmiPreferences.CuttingPlaneSymbolStartingLetter
getset

Returns or sets the starting letter for cutting plane symbol

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Annotations.CuttingPlaneSymbolBuilder.TextPlaneRelativeArrow NXOpen.Annotations.PmiPreferences.CuttingPlaneSymbolTextPlaneRelativeToArrow
getset

Returns or sets the orientation of the cutting plane symbol text plane with respect to arrow plane

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Annotations.PmiPreferences.DatumLabel
getset

Returns or sets the initial letter for datum labels

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Annotations.PmiDefaultPlane NXOpen.Annotations.PmiPreferences.DefaultPlane
getset

Returns or sets the default annotation plane for PMI symbols

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Annotations.PmiPreferences.DeleteEmptyUserDefinedModelViews
getset

Returns or sets the option to delete Empty User Defined Model Views in Part

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Annotations.PmiPreferences.DisplayEffectivityFilterNodesInPartNavigator
get

Returns the flag indicating the display of Effectivity Filtered PMI node in Part Navigator

Created in NX8.5.1

License requirements: None.

unsafe bool NXOpen.Annotations.PmiPreferences.DisplayPmiAssociatedComponentsLoadedForReference
get

Returns the flag indicating PMI associated objects components loaded for reference

Created in NX8.5.1

License requirements: None.

unsafe NXOpen.Annotations.DisplayPmiEffectivityMethod NXOpen.Annotations.PmiPreferences.DisplayPmiEffectivityMethod
get

Returns the value indicating precise option of PMI Effectivity for prime geometry

Created in NX8.5.1

License requirements: None.

unsafe NXOpen.Annotations.DisplayPmiEffectivityMethod NXOpen.Annotations.PmiPreferences.DisplayPmiEffectivityReferenceMethod
get

Returns the value indicating precise option of PMI Effectivity for reference geometry

Created in NX8.5.1

License requirements: None.

unsafe string NXOpen.Annotations.PmiPreferences.DisplayPmiModelViewDisclosurePurpose
getset

Returns or sets the Model View Disclosure Purpose

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Annotations.PmiPreferences.DisplayPmiQueryDialogFromMb3
getset

Returns or sets the PMI query dialog visibility from mb3 option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Annotations.PmiPreferences.DisplayPmiUserDefinedModelViewDisclosure
getset

Returns or sets the User Defined Model View Disclosure

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Annotations.PmiPreferences.EnableResize
get

Returns the flag indicating whether to enable resize.

If true the resize command is enabled.

Created in NX10.0.0

License requirements: None.

unsafe bool NXOpen.Annotations.PmiPreferences.LockSizeAndPosition
getset

Returns or sets the lock pan/zoom option

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Annotations.PmiPreferences.ParallelToScreen
getset

Returns or sets the parallel to screen option

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Annotations.PmiPreferences.PmiRegionHeight
getset

Returns or sets the rectangular region height

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Annotations.PmiPreferences.PmiRegionInnerDiameter
getset

Returns or sets the circular/annular region inner diameter

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Annotations.PmiPreferences.PmiRegionOuterDiameter
getset

Returns or sets the circular/annular region outer diameter

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Annotations.PmiPreferences.PmiRegionWidth
getset

Returns or sets the rectangular region width

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Annotations.PmiPreferences.PmiSupportForGeometrySharing
get

Returns the flag indicating whether PMI support for geometry sharing is available

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.NXColor NXOpen.Annotations.PmiPreferences.RegionBoundaryColor
getset

Returns or sets the region boundary color

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Annotations.PmiPreferences.RegionBoundaryFont
getset

Returns or sets the region boundary font

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Annotations.PmiPreferences.RegionBoundaryWidth
getset

Returns or sets the region boundary width

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Annotations.PmiResizeMethod NXOpen.Annotations.PmiPreferences.ResizeMethod
get

Returns the resize method

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Annotations.PmiPreferences.ResizeOnCreate
get

Returns the flag indicating whether to resize on create

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Annotations.PmiPreferences.ResizeOnViewSave
get

Returns the flag indicating whether to resize on view save

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Annotations.PmiPreferences.RestrictCrosshatchAngle
get

Returns the flag indicating whether PMI support for lightweight section view restrict crosshatch angle option is available

Created in NX9.0.0

License requirements: None.

unsafe string NXOpen.Annotations.PmiPreferences.SectionViewNamePrefix
getset

Returns or sets the Section View name prefix

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Annotations.PmiPreferences.ShadedDisplay
get

Returns the toggle for display through shaded models

Created in NX4.0.0

License requirements: None.

unsafe bool NXOpen.Annotations.PmiPreferences.SuppressRetainedPmis
getset

Returns or sets the option to suppress retained PMIs in part

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.